package Package1;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class PitchCompare {

    public enum Notes {

        C, D, E, F, G, A, B, unknown
    };

    public static Notes convertToEnum(char input) {
        switch (input) {
            case 'A':
                return Notes.A;
            case 'B':
                return Notes.B;
            case 'C':
                return Notes.C;
            case 'D':
                return Notes.D;
            case 'E':
                return Notes.E;
            case 'F':
                return Notes.F;
            case 'G':
                return Notes.G;
            default:
                return Notes.unknown;
        }
    }

    public static void main(String[] args) {

        Notes myNote1 = Notes.unknown, myNote2 = Notes.unknown;
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

        while (myNote1 == Notes.unknown) {
            System.out.print("Immettere la prima nota [A..G]: ");
            try {
                myNote1 = convertToEnum(br.readLine().toUpperCase().charAt(0));
            } catch (IOException e) {
                continue;
            }
        }

        while (myNote2 == Notes.unknown) {
            System.out.print("Immettere la seconda nota [A..G]: ");
            try {
                myNote2 = convertToEnum(br.readLine().toUpperCase().charAt(0));
            } catch (IOException e) {
                continue;
            }
        }

        if (myNote1 == myNote2)
            System.out.println("Le due note immesse hanno la stessa altezza.");
        else
            // if (myNote1 > myNote2) non si può fare!
            if (myNote1.ordinal() > myNote2.ordinal())
                System.out.println(myNote1 + " ha altezza piu' acuta di " + myNote2);
            else
                System.out.println(myNote1 + " ha altezza piu' grave di " + myNote2);
    }
}
