package Package1;

public class PitchTranspose {

    public enum Pitch {
        A, B, C, D, E, F, G
    }

    public static Pitch transposePitch(Pitch pitch, int interval) {
        int enumIndex = (pitch.ordinal() + interval) % 7;
        if (enumIndex < 0)
            enumIndex += 7;
        return Pitch.values()[enumIndex];
    }

    public static void main(String[] args) {
        Pitch note1 = Pitch.C;
        int offset = -3;
        Pitch note2 = transposePitch(note1, offset);
        System.out.println("Il pitch " + note1 + ", trasportato di " + offset + " gradi, diventa " + note2);
    }

}
