package jMusic;

import jm.JMC;
import jm.music.data.*;
import jm.util.*;

public final class Random implements JMC {

    public static void main(String[] args) {
        double[] rhythm = {C, C, DC, Q, C, C, C, C, C, C, C, C, M, C, C};
        
        Phrase hammond = new Phrase();
        for (int i = 0; i < rhythm.length; i++) {
            int[] pitches = new int[3];
            pitches[0] = (int)(Math.random() * 36 + 48);
            pitches[1] = pitches[0] + (Math.random() < 0.5 ? -1 : 1) * 4;
            pitches[2] = pitches[0] + (Math.random() < 0.5 ? -1 : 1) * 7;
            hammond.addChord(pitches, rhythm[i]);
        }
        
        Part h = new Part("Hammond", HAMMOND_ORGAN, 1);
        h.addPhrase(hammond);
        Score score = new Score("Random");
        score.addPart(h);

        View.print(score);
        Write.midi(score, "Random.mid");
        Play.midi(score);
    }
}
