package jSyn;

import com.jsyn.JSyn;
import com.jsyn.Synthesizer;
import com.jsyn.unitgen.LineOut;
import com.jsyn.unitgen.UnitOscillator;

public class WindSoundUse {
    Synthesizer synth;
    UnitOscillator osc;
    LineOut lineOut;
    WindCircuit windSound;
    
    public void start() {
        synth = JSyn.createSynthesizer();
        synth.start();
        synth.add(windSound = new WindCircuit());
        synth.add(lineOut = new LineOut());
        lineOut.start();
    }
    
    public static void main(String[] args) {
        new WindSoundUse().start();
    }
}
